int_tools.hpp File Reference
Private

elementary operation for infinint integers More...

`#include "../my_config.h"`
`#include "integers.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs

using | libdar::int_tools_bitfield = unsigned char[8]

## Functions

void | libdar::int_tools_swap_bytes (unsigned char &a, unsigned char &b)
void | libdar::int_tools_swap_bytes (unsigned char *a, U_I size)
void | libdar::int_tools_expand_byte (unsigned char a, int_tools_bitfield &bit)
void | libdar::int_tools_contract_byte (const int_tools_bitfield &b, unsigned char &a)
template<class T >
T | libdar::int_tools_rotate_right_one_bit (T v)
template<class T >
T | libdar::int_tools_maxof_aggregate (T unused)

## Detailed Description

elementary operation for infinint integers

Note
  API included module due to dependencies

Definition in file int_tools.hpp.